<app-loading-spinner [show]="awaitingServerResponse"></app-loading-spinner>
<div align="center" class="default-content-padding">
  <img class="main-logo" src="assets/transparent-logo@2x.png" alt="Application logo">

  <form class="column-flex">
    <mat-form-field>
      <mat-label>Login/e-mail</mat-label>
      <input matInput required name="login" #loginInput="ngModel" [(ngModel)]="username">
      <mat-error>Pole jest wymagane.</mat-error>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Hasło</mat-label>
      <input matInput required type="password" name="password" #passwordInput="ngModel" [(ngModel)]="password">
      <mat-error>Pole jest wymagane.</mat-error>
    </mat-form-field>
    <mat-error *ngIf="isLoginFailed">{{errorMessage}}</mat-error>
    <button mat-raised-button
            color="primary"
            (click)="login()"
            [disabled]="!loginInput.valid || !passwordInput.valid"
            id="login-btn">
      Zaloguj się
    </button>
    <button mat-raised-button style="margin-top: 1em" routerLink="/register">Zarejestruj się</button>
  </form>
</div>
